com.avaya.deskphoneservices.telecomService

## Interface TelecomServiceEventListener

-     public interface TelecomServiceEventListener

  Interface that can be used to retrieve status updates from a TelecomService object. One or more listeners can be registered with a TelecomService object to get updates about TelecomService operations. All of the callback methods defined in TelecomServiceEventListener interface have the Call object instance as an argument, to identify the call session to which the operation belongs.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAcceptButtonClick(com.avaya.clientservices.call.Call call, com.avaya.clientservices.media.AudioDevice audioDevice)` Called to report that accept call button was pressed.
    `void` | `onCallAudioRouteChanged(com.avaya.clientservices.call.Call call, android.telecom.CallAudioState state)` Notifies this Connection that the audio route was probably changed.
    `void` | `onCallTelecomMuteStateChanged(com.avaya.clientservices.call.Call call, boolean bNewMuteState)` Notifies this Connection that the audio mute state was probably changed.
    `void` | `onEndButtonClick(com.avaya.clientservices.call.Call call)` Called to report that end call button was pressed.
    `void` | `onHoldButtonClick(com.avaya.clientservices.call.Call call)` Called to report that hold/unhold call button was pressed.
    `void` | `onUnholdButtonClick(com.avaya.clientservices.call.Call call)`

- - ### Method Detail

    - #### onAcceptButtonClick

          void onAcceptButtonClick(com.avaya.clientservices.call.Call call,
                                   com.avaya.clientservices.media.AudioDevice audioDevice)

      Called to report that accept call button was pressed.
      Parameters:
        `call` - - identifies the call that was accepted
        `audioDevice` - - identifies the audio device via which the call was accepted

    - #### onEndButtonClick

          void onEndButtonClick(com.avaya.clientservices.call.Call call)

      Called to report that end call button was pressed.
      Parameters:
        `call` - - identifies the call that was ended

    - #### onHoldButtonClick

          void onHoldButtonClick(com.avaya.clientservices.call.Call call)

      Called to report that hold/unhold call button was pressed.
      Parameters:
        `call` - - identifies the call that was held/unheld NOTE: in current implementation this interface is never called since HOLD operation is currently not supported

    - #### onUnholdButtonClick

          void onUnholdButtonClick(com.avaya.clientservices.call.Call call)

    - #### onCallAudioRouteChanged

          void onCallAudioRouteChanged(com.avaya.clientservices.call.Call call,
                                       android.telecom.CallAudioState state)

      Notifies this Connection that the audio route was probably changed.
      Parameters:
        `call` - - identifies the call for which state was changed
        `state` - The new audio state (includes current audio route).

    - #### onCallTelecomMuteStateChanged

          void onCallTelecomMuteStateChanged(com.avaya.clientservices.call.Call call,
                                             boolean bNewMuteState)

      Notifies this Connection that the audio mute state was probably changed.
      Parameters:
        `call` - - identifies the call for which state was changed
        `bNewMuteState` - The new audio mute state.